[R003]创建专利申请前评估报告

post
https://connect.zhihuiya.com/patent-valuation-data/pre_patent-evaluation-create
在体验中心中试用

输入待申请专利的技术方案相关描述文本(建议200字以上),创建专利申请前评估报告生成任务,返回报告导出的任务ID;报告包含对于该技术方案的技术创新性、可专利性和转化前景三个维度的评分,以及详细的指标结果。

1、支持自定义底层模型指标,支持指标阈值设定、评分权重调整以及指标删除,请在模型指标配置页面点击跳转进行配置; 2、获取到任务ID后,请及时调用【导出专利申请前评估报告】接口获取报告。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
text
必填
stringThe invention discloses an automobile front-view based wireless video transmission system and method. The system comprises a front-view camera, a wireless video transmitting module, a wireless video receiving module, a display screen, a display triggering device, a first controller, a wireless command transmitting module, a wireless command receiving module, a second controller and an automobile starting detecting module, wherein the display screen is connected with the wireless video receiving module; the front-view camera is connected with the wireless video transmitting module; the wireless video transmitting module is wirelessly connected with the wireless video receiving module and wirelessly transmits a video shot by the front-view camera; and the wireless video receiving module receives and sends the video and displays the video on the display screen, so that the mounting time of the front-view camera is shortened greatly, no damage can be caused to an original automobile, the front-view camera can be mounted without a threading manner, and great convenience is brought to the owner of the automobile.
待申请专利的技术方案相关描述文本(建议200字以上)
limit
integer<int32>50
用于模型计算的相似专利数量,0< limit≤100,默认为50
tech_maturity_index
必填
integer<int32>1
专利技术成熟度: 1:报告级(该技术的基本原理已经被观察到并已报告,此时是处于纸面理论的研究阶段) 2:方案级(根据发现的原理提出问题以及相应的解决方案) 3:功能级(通过了关键功能或特性的理论和实验分析,完成了概念证明) 4:仿真级(完成了实验室环境下的元部件、实验样品的验证,进行了基本部件的集成) 5:初样级(完成了模拟应用条件下的元部件、样品的验证) 6:正样级(完成了近似应用条件下元部件、实验样品的验证) 7:环境级(完成了该技术在真实的应用环境下的演示) 8:产品级(完成了产品的定型,具备大规模生产的能力) 9:系统级(完成了该技术的产品与其他相关产品组合的验证) 10:产业级(该技术发展为一个产业,具备执行该技术的成熟配套工艺、部件和产品)
report_name
必填
stringXX申请前评估报告
报告名称
report_info
array[ { "key": "检索报告编号", "value": "Report-20240527-1" }, { "key": "发起人", "value": "张三" }, { "key": "发起日", "value": "20240527" }, { "key": "所属部门", "value": "研发部" } ]
报告基本信息(用于报告展示)

注:非必填,如传参则必须如示例需要包含4个key和value

key
必填
string检索报告编号
类目(客户自定义)
value
必填
stringReport-20240527-1
内容(客户自定义)

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
job_id
stringb4bdae6b4a65432d91f25b5c52bdfd80
任务ID
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "job_id": "b4bdae6b4a65432d91f25b5c52bdfd80"
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200001API整体限流错误!
67200002用户调用请求限流限制错误!
67200003申请token的key和secret不正确或者状态错误!
67200004无权限或该接口的套餐已超过系统设置的上限!
67200005账户余额不足,调用失败!
67200006客户端已过期,调用失败!
67200007超过调用额度,调用失败!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found
68300020配置不存在
68300021配置有误

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms